{% extends 'SyliusWebBundle:Backend:layout.html.twig' %}

{% import 'SyliusResourceBundle:Macros:buttons.html.twig' as buttons %}
{% import 'SyliusWebBundle:Backend/Macros:alerts.html.twig' as alerts %}
{% import 'SyliusWebBundle:Backend/Macros:misc.html.twig' as misc %}

{% block topbar %}
    <ol class="breadcrumb">
        <li>{{ 'sylius.breadcrumb.assortment'|trans }}</li>
        <li><a href="{{ path('elbotrade_catalog_backend_list') }}">Catalogs</a></li>
        <li>{{ catalog.name }}</li>
    </ol>
{% endblock %}

{% block content %}
    <div class="page-header">
        <div class="actions-menu">
            {{ buttons.manage(path('elbotrade_catalog_backend_list'), 'Manage Catalogs') }}
            {{ buttons.edit(path('elbotrade_catalog_backend_update', {'id': catalog.id})) }}
            {{ buttons.delete(path('elbotrade_catalog_backend_delete', {'id': catalog.id}), null, false, true) }}
        </div>
        <h1>
            <i class="glyphicon glyphicon-info-sign"></i> Catalog Details {{ catalog.name }}
        </h1>
    </div>

    <div class="row">
        <div class="col-md-6">
            <table class="table table-bordered">
                <thead>
                <tr>
                    <th colspan="2">{{ 'sylius.order.general_info'|trans }}</th>
                </tr>
                </thead>
                <tbody>
                <tr>
                    <td><strong>{{ 'sylius.shipment.id'|trans }}</strong></td>
                    <td>{{ catalog.id }}</td>
                </tr>
                <tr>
                    <td>{{ 'sylius.product.name'|trans }}</td>
                    <td>{{ catalog.name }}</td>
                </tr>
                <tr>
                    <td>Active</td>
                    <td>{{ catalog.active }}</td>
                </tr>
                <tr>
                    <td>Locale</td>
                    <td>{{ catalog.locale }}</td>
                </tr>
                <tr>
                    <td>Catagory</td>
                    <td>{{ catalog.category }}</td>
                </tr>
                </tbody>
            </table>
        </div>

        <div class="col-md-6">
            {% for page in catalog.images %}
                {% thumbnail page, 'small' %}
            {% endfor %}
        </div>
    </div>

    <hr>

{% endblock %}
